// FILENAME:	DOE_Contempt.cs
//
// AUTHORS:  	=DOE= Ditto
//------------------------------------------------------------------------------

$missionName = "DOE_Contempt";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

	$server::disableTeamRed = false;
   	$server::disableTeamBlue = false;
   	$server::disableTeamYellow = true;
   	$server::disableTeamPurple = true;


}

function onMissionLoad(){
   cdAudioCycle("Cyberntx", "Watching", "Mechsoul"); 
}


//moving the map center

$server::HudMapViewOffsetX = 4400; 
$server::HudMapViewOffsetY = 2500;

function onMissionStart()
{
	marsSounds();	
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to =DOE= Contempt. This map was made by =DOE= Ditto. Have fun and please watch the language.");

}

function vehicle::onAdd(%vehicleId)
{
	%vehicleId.name = getHUDName(%vehicleId);
	%teamName = getTeam(%vehicleId);

}


